git: 3e766ab07c - main - Add GITARGS to dobuild.sh

Glen Barber <[email protected]>
Newsgroups gmane.os.freebsd.devel.cvs.doc
Message-ID <[email protected]>
The branch main has been updated by gjb:

URL: https://cgit.FreeBSD.org/doc/commit/?id=3e766ab07cfba284d32fb482a981a31b15b6f21e

commit 3e766ab07cfba284d32fb482a981a31b15b6f21e
Author:     Glen Barber <[email protected]>
AuthorDate: 2021-01-04 18:37:07 +0000
Commit:     Glen Barber <[email protected]>
CommitDate: 2021-01-04 18:38:21 +0000

    Add GITARGS to dobuild.sh
    
    When local.conf exists, GITARGS can be used to append checkout-specific
    arguments to git.
    
    Sponsored by:   Rubicon Communications, LLC (netgate.com)
---
 share/tools/dobuild.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/share/tools/dobuild.sh b/share/tools/dobuild.sh
index 9e16187121..b83e00f0d1 100755
--- a/share/tools/dobuild.sh
+++ b/share/tools/dobuild.sh
@@ -61,7 +61,7 @@ if [ -z "${NOCLEAN}" ]; then
 	rm -Rf doc out 2>/dev/null
 
 	echo "===> Check out the new doc"
-	git clone -b main ${DOCGIT} doc || exit 2
+	git clone ${GITARGS} -b main ${DOCGIT} doc || exit 2
 fi
 
 cd $BUILDDIR/doc || exit 1
_______________________________________________
[email protected] mailing list
https://lists.freebsd.org/mailman/listinfo/dev-commits-doc-all
To unsubscribe, send any mail to "[email protected]"
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.